Subject: Re: [PATCH net-next v3 7/8] net: fou: use policy and operation tables generated from the spec

From: Jakub Kicinski <[email-masked]>
Date: Thu, 19 Jan 2023 17:04:19 -0800

On Thu, 19 Jan 2023 16:18:04 -0800 Jacob Keller wrote:
> On 1/19/2023 12:56 PM, Johannes Berg wrote:
> > On Wed, 2023-01-18 at 16:36 -0800, Jakub Kicinski wrote:  
> >> +fou-y := fou_core.o fou-nl.o  
> > 
> > I feel like you could've been consistent there and used "fou-core.o"
> > with a dash, but hey :-)
> 
> And here I lean towards using _ instead of - in file names but
> consistency is good, all else being equal.

Done. IIRC the codegen used to assume the naming (it needs to know 
the name of the header to include). I fixed that but forgot to rename
fou :S